org.apache.ignite.internal.util.io

## Class GridFileUtils

- java.lang.Object
- - org.apache.ignite.internal.util.io.GridFileUtils

    public class GridFileUtils
    extends Object

General files manipulation utilities.

### Constructor Summary

Constructors
Constructor and Description
`GridFileUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `copy(FileIOFactory srcFactory, File src, FileIOFactory dstFactory, File dst, long maxBytes)` Copy file
`static void` `copy(FileIO src, FileIO dst, long maxBytes)` Copy file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridFileUtils

    public GridFileUtils()

### Method Detail

#### copy

    public static void copy(FileIO src,
                            FileIO dst,
                            long maxBytes)
                     throws IOException

Copy file

Parameters:
  `src` - Source.
  `dst` - Dst.
  `maxBytes` - Max bytes.
Throws:
  `IOException`

#### copy

    public static void copy(FileIOFactory srcFactory,
                            File src,
                            FileIOFactory dstFactory,
                            File dst,
                            long maxBytes)
                     throws IOException

Copy file

Parameters:
  `srcFactory` - Source factory.
  `src` - Source.
  `dstFactory` - Dst factory.
  `dst` - Dst.
  `maxBytes` - Max bytes.
Throws:
  `IOException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020